MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000227Soldat Dedicated ServerGeneralpublic2012-06-07 14:392012-06-10 10:21
ReporterFridgeBoxX 
Assigned ToFalcon 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSDebian GNU/LinuxOS Version6.0
Product Version2.7.3 
Target VersionFixed in Version2.7.4 
Summary0000227: Port (-p) parameter should have a higher priority than the soldat.ini port setting
DescriptionThe -p startparameter should have a higher priority than the soldat.ini port setting.
This would be very nice as a gameserver provider or if you host gameservers for friends. So they wouldn't be able the change the port and disturb other services on the machine.
Steps To Reproduce1. Install soldatserver 2.7.3 dedicated on Debian x64 squeeze
2. Start soldatserver like this: ./soldatserver -b 85.214.64.71 -p 31470
3. Look at promt (in my case "Server IP: 127.0.0.1 Port: 23073")
Additional Information    user@server:~/server/soldat_8431$ ./soldatserver -b 85.214.64.71 -p 31470
     
                 -= Soldat Dedicated Server 1.6.3 - 2.7.3 =-
     
    ----------------------------------------------------------------
             Soldat Dedicated Server initializing...
    ----------------------------------------------------------------
     
       Need help running your server?
       IRC: #soldat.devs @ irc.quakenet.org
     
       ---> http://soldatforums.com/ [^]
     
       Additional parameters:
       ./soldatserver -p PORT -l MAXPLAYERS -k PASSWORD
       Example: ./soldatserver -p 23073 -l 16 -k "my pass"
     
    Using Indy 9
     
     
     
     The server must be started with an Admin Password parameter to run Admin
       edit SOLDAT.INI section [Network] Admin_Password=
     
     Hit CTRL+C to Exit
     Please command the server using the Soldat Admin program
    Welcome to Soldat 1.6.3
     Server name: Soldat Server
     Server PID: 13432
    ----------------------------------------------------------------
    Aero -by BN
     Server IP: 127.0.0.1 Port: 23073
     ASE Port: 23196
     Connection for file server started. Port: 23083
    Registering server @ ASE Master Server
    Registering server @ 67.23.118.186
    Game server added to lobby server @ 67.23.118.186
    ^CServer Encountered an error:
    Control-C hit
    Shutting down server...
    Shutting down FileServer...
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000230resolvedFalcon -b does not work 

-  Notes
(0001549)
Falcon (administrator)
2012-06-07 14:42

Confirmed, command line parameters are parsed before the INI, what makes it overwrite console's values. It "works" if port gets removed from the file though.

- Issue History
Date Modified Username Field Change
2012-06-07 14:39 FridgeBoxX New Issue
2012-06-07 14:42 Falcon Note Added: 0001549
2012-06-07 14:42 Falcon Status new => confirmed
2012-06-10 10:21 Falcon Status confirmed => closed
2012-06-10 10:21 Falcon Assigned To => Falcon
2012-06-10 10:21 Falcon Resolution open => fixed
2012-06-10 10:21 Falcon Fixed in Version => 2.7.4
2012-06-23 00:08 Falcon Relationship added has duplicate 0000230


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker